Loading...
Searching...
No Matches
Dune::Amg::AggregatesPublisher< T, O, OwnerOverlapCopyCommunication< T1, T2 > > Struct Template Reference

Utility class for publishing the aggregate number of the DOFs in the overlap to other processors and convert them to local indices. More...

`#include <dune/istl/paamg/globalaggregates.hh>`

Inheritance diagram for Dune::Amg::AggregatesPublisher< T, O, OwnerOverlapCopyCommunication< T1, T2 > >:

## Public Types

typedef T | Vertex
typedef O | OverlapFlags
typedef OwnerOverlapCopyCommunication< T1, T2 > | ParallelInformation
typedef ParallelInformation::GlobalLookupIndexSet | GlobalLookupIndexSet
typedef ParallelInformation::ParallelIndexSet | IndexSet

## Static Public Member Functions

static void | publish (AggregatesMap< Vertex > &aggregates, ParallelInformation &pinfo, const GlobalLookupIndexSet &globalLookup)

## Detailed Description

template<typename T, typename O, typename T1, typename T2>
struct Dune::Amg::AggregatesPublisher< T, O, OwnerOverlapCopyCommunication< T1, T2 > >

Utility class for publishing the aggregate number of the DOFs in the overlap to other processors and convert them to local indices.

Template Parameters

  T | The type of the vertices
  O | The set of overlap flags.
  T1 | The type of the global indices.
  T2 | The type of the local indices.

## Member Typedef Documentation

## GlobalLookupIndexSet

template<typename T, typename O, typename T1, typename T2>

typedef ParallelInformation::GlobalLookupIndexSet Dune::Amg::AggregatesPublisher< T, O, OwnerOverlapCopyCommunication< T1, T2 > >::GlobalLookupIndexSet

## IndexSet

template<typename T, typename O, typename T1, typename T2>

typedef ParallelInformation::ParallelIndexSet Dune::Amg::AggregatesPublisher< T, O, OwnerOverlapCopyCommunication< T1, T2 > >::IndexSet

## OverlapFlags

template<typename T, typename O, typename T1, typename T2>

typedef O Dune::Amg::AggregatesPublisher< T, O, OwnerOverlapCopyCommunication< T1, T2 > >::OverlapFlags

## ParallelInformation

template<typename T, typename O, typename T1, typename T2>

typedef OwnerOverlapCopyCommunication<T1,T2> Dune::Amg::AggregatesPublisher< T, O, OwnerOverlapCopyCommunication< T1, T2 > >::ParallelInformation

## Vertex

template<typename T, typename O, typename T1, typename T2>

typedef T Dune::Amg::AggregatesPublisher< T, O, OwnerOverlapCopyCommunication< T1, T2 > >::Vertex

## Member Function Documentation

## publish()

template<typename T, typename O, typename T1, typename T2>

void Dune::Amg::AggregatesPublisher< T, O, OwnerOverlapCopyCommunication< T1, T2 > >::publish | ( | AggregatesMap< Vertex > & | aggregates,
|  | ParallelInformation & | pinfo,
|  | const GlobalLookupIndexSet & | globalLookup )

inline static

The documentation for this struct was generated from the following file:

- globalaggregates.hh